<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="app.css">
    <script defer src="app.js"></script>
    <title>Specificities</title>
</head>
<body>
    <h1>Specificities</h1>

    <table>
        <thead>
            <tr>
                <th>Selector</th>
                <th>!important</th>
                <th>style</th>
                <th>#id</th>
                <th>.class</th>
                <th>&lt;tag&gt;</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>ul#nav li.active a</td>
                <td>0</td> <td>0</td> <td>1</td> <td>1</td> <td>3</td>
            </tr>
            <tr>
                <td>body-ie7 .col_3 h2 ~ h2</td>
                <td>0</td> <td>0</td> <td>0</td> <td>1</td> <td>3</td>
            </tr>
            <tr>
                <td>#footer *:not(nav) li</td>
                <td>0</td> <td>0</td> <td>1</td> <td>0</td> <td>2</td>
            </tr>
            <tr>
                <td> &lt;li style="color:orange"&gt; </td>
                <td>0</td> <td>1</td> <td>0</td> <td>0</td> <td>0</td>
            </tr>
            <tr>
                <td> ul > li ul li ol li:first-letter </td>
                <td>0</td> <td>0</td> <td>0</td> <td>0</td> <td>7</td>
            </tr>
            <tr>
                <td> h1 + *[rel=up] </td>
                <td>0</td> <td>0</td> <td>0</td> <td>1</td> <td>1</td>
            </tr>
            <tr>
                <td> body main article a:hover </td>
                <td>0</td> <td>0</td> <td>0</td> <td>1</td> <td>4</td>
            </tr>
            <tr>
                <td> .center {text-align:center !important} </td>
                <td>1</td> <td>0</td> <td>0</td> <td>1</td> <td>0</td>
            </tr>
        </tbody>
    </table>

    <h2>Links</h2>
    <ul>
        <li>
            <a href="https://specificity.keegan.st/">Specificity Calculator</a>
        </li>
        <li>
            <a href="https://www.w3.org/TR/selectors-3/#specificity">W3C: Selectors Level 3: Calculating a selector's specificity</a>
        </li>
    </ul>
</body>
</html>
